Bug 645181 - Review Request: lua-coxpcall - Coroutine safe xpcall and pcall versions for Lua
Summary: Review Request: lua-coxpcall - Coroutine safe xpcall and pcall versions for Lua
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 645182
TreeView+ depends on / blocked
 
Reported: 2010-10-20 23:07 UTC by Tim Niemueller
Modified: 2010-11-10 17:03 UTC (History)
3 users (show)

Fixed In Version: lua-coxpcall-1.13.0-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-04 23:46:07 UTC
lemenkov: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Tim Niemueller 2010-10-20 23:07:31 UTC
Spec URL: http://fedorapeople.org/~timn/luastuff/lua-coxpcall.spec
SRPM URL: http://fedorapeople.org/~timn/luastuff/lua-coxpcall-1.13.0-1.fc13.src.rpm
Description:
Coxpcall encapsulates the protected calls with a coroutine based loop, so
errors can be handled without the usual pcall/xpcall issues with coroutines.

Using Coxpcall usually consists in simply loading the module and then
replacing Lua pcall and xpcall by copcall and coxpcall.
URL: http://coxpcall.luaforge.net/
Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=2545648

Comment 1 Peter Lemenkov 2010-10-23 07:49:01 UTC
I'll review it

Comment 2 Peter Lemenkov 2010-10-23 07:59:32 UTC
REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is not silent but all its messages in this case are false positives:

sulaco ~: rpmlint ~/Desktop/lua-coxpcall-1.13.0-1.fc13.noarch.rpm 
lua-coxpcall.noarch: W: spelling-error Summary(en_US) Coroutine -> Co routine, Co-routine, Subroutine
lua-coxpcall.noarch: W: spelling-error Summary(en_US) xpcall -> Bacall, McCall, scallop
lua-coxpcall.noarch: W: spelling-error Summary(en_US) pcall -> pall, call, p call
lua-coxpcall.noarch: W: spelling-error %description -l en_US coroutine -> co routine, co-routine, subroutine
lua-coxpcall.noarch: W: spelling-error %description -l en_US pcall -> pall, call, p call
lua-coxpcall.noarch: W: spelling-error %description -l en_US xpcall -> Bacall, McCall, scallop
lua-coxpcall.noarch: W: spelling-error %description -l en_US coroutines -> co routines, co-routines, subroutines
lua-coxpcall.noarch: W: spelling-error %description -l en_US copcall -> cop call, cop-call, copalm
1 packages and 0 specfiles checked; 0 errors, 8 warnings.
sulaco ~:

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (MIT).
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

sulaco ~/rpmbuild/SOURCES: sha256sum coxpcall-1.13.0.tar.gz*
0591ebda1636798649d6ebd659ebac35ce4618b935df8abdef633f35d72af70d  coxpcall-1.13.0.tar.gz
0591ebda1636798649d6ebd659ebac35ce4618b935df8abdef633f35d72af70d  coxpcall-1.13.0.tar.gz.1
sulaco ~/rpmbuild/SOURCES:

+ The package successfully compiles and builds into binary rpms on at least one primary architecture.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files.
+ The package does NOT bundle copies of system libraries.
+ The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files with a suffix (e.g. libfoo.so.1.1).
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.


APPROVED

Comment 3 Tim Niemueller 2010-10-23 15:29:40 UTC
New Package SCM Request
=======================
Package Name: lua-coxpcall
Short Description: Coroutine safe xpcall and pcall versions for Lua
Owners: timn
Branches: f12 f13 f14 el5 el6
InitialCC:

Comment 4 Kevin Fenzi 2010-10-25 18:48:22 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2010-10-25 20:08:25 UTC
lua-coxpcall-1.13.0-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/lua-coxpcall-1.13.0-1.fc12

Comment 6 Fedora Update System 2010-10-25 20:09:02 UTC
lua-coxpcall-1.13.0-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/lua-coxpcall-1.13.0-1.fc13

Comment 7 Fedora Update System 2010-10-25 20:09:39 UTC
lua-coxpcall-1.13.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/lua-coxpcall-1.13.0-1.fc14

Comment 8 Fedora Update System 2010-10-25 20:10:11 UTC
lua-coxpcall-1.13.0-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/lua-coxpcall-1.13.0-1.el5

Comment 9 Fedora Update System 2010-10-27 22:41:50 UTC
lua-coxpcall-1.13.0-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lua-coxpcall'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/lua-coxpcall-1.13.0-1.fc13

Comment 10 Fedora Update System 2010-11-04 23:29:27 UTC
lua-coxpcall-1.13.0-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-11-04 23:35:13 UTC
lua-coxpcall-1.13.0-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-11-04 23:46:02 UTC
lua-coxpcall-1.13.0-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-11-10 17:03:26 UTC
lua-coxpcall-1.13.0-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.